jQuery(document).ready(function() {
	function close_accordion_section() {
		jQuery('.accordion .accordion-section-title').removeClass('active');
		jQuery('.accordion .accordion-section-content').slideUp(300).removeClass('open');
	}

	jQuery('.accordion-section-title').click(function(e) {
		// Grab current anchor value
		var currentAttrValue = jQuery(this).attr('href');

		if(jQuery(e.target).is('.active')) {
			close_accordion_section();
		}else {
			close_accordion_section();

			// Add active class to section title
			jQuery(this).addClass('active');
			// Open up the hidden content panel
			jQuery('.accordion ' + currentAttrValue).slideDown(300).addClass('open');
		}

		e.preventDefault();
	});
});

//------------------------------------------------------------------------------------
//						CONTACT FORM VALIDATION'S SETTINGS
//------------------------------------------------------------------------------------
  $("form[name='registration']").validate({

    rules: {
      name: "required",
      phone: {
        required: true,
        number: true,
        minlength : 10,
        maxlength : 10
      },
      locations: "required",
      dates: "required",
      timeslot: "required",
    },

    messages: {
      name: "Please enter your full name",
      phone: {
        required: "Please enter your mobile number",
        number: "Mobile number should number only",
        minlength: "Invalid Mobile Number",
        maxlength: "Mobile number not more then 10 digit",
      },
      locations: "Please select your location",
      dates: "Please select booking date",
      timeslot: "Please select time",
    },

    submitHandler: function(form) {
      form.submit();
    }
  });



// Date Time Picker ==============
 $(document).ready(function () {

        $('#datetimepicker3').datetimepicker({
            onSelectDate:function () { $('#datetimepicker1').datetimepicker('destroy'); $('#datetimepicker1').datetimepicker(getSelectedDate()); },
             format:'Y-m-d',
             timepicker:false,
             //autoHide: true,
             minDate:'0', //yesterday is minimum date
             maxDate:'+1970/01/30', //tomorrow is maximum date
            autoclose: true,
            keepOpen: false,

        }).on('change', function(){
            $('.xdsoft_datetimepicker').hide();
        });
    });

 $("#datetimepicker1").on('click',function(){
     //$('#datetimepicker1').datetimepicker('destroy');
     $('#datetimepicker1').datetimepicker(getSelectedDate());

 });

 function getSelectedDate()
 {
     var today = new Date().toISOString().slice(0, 10);
     var dateval= $('#datetimepicker3').val();
        if(dateval==today)
        {
            //alert("today");
            var args  = {
                datepicker:false,
                format:'h:i a',
                formatTime: 'h:i a',
                step: '60',
                minTime: '0'
            };
        }else{  //alert("not today");
            var args  = {
                datepicker:false,
                format:'h:i a',
                formatTime: 'h:i a',
                step: '60',
                //minTime: '0'
            };
        }
     return args;
 }
